Account Auth Method Delete
Deletes the specified authentication method from the account. This is irreversible however if this authentication method is the only remaining method for the account, this operation will fail with a 400 bad request.
Deletes the specified authentication method from the account. This is irreversible however if this authentication method is the only remaining method for the account, this operation will fail with a 400 bad request.
storyden-session<token>auth_method_id*stringOK
application/json- response
active*array<>available*array<>curl -X DELETE 'https://example.com/api/accounts/self/auth-methods/string'{ "active": [ { "id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "identifier": "string", "provider": { "provider": "string", "name": "string", "link": "string" } } ], "available": [ { "provider": "string", "name": "string", "link": "string" } ]}Account Add Role PUT
Add a role to an account. Requires MANAGE_ROLES. Assigning a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be assigned to yourself, and the default member role cannot be assigned through this operation.
Account Auth Provider List GET
Retrieve a list of authentication providers with a flag indicating which ones are active for the currently authenticated account.